Skip to main content
POST
/
api
/
v1
/
users
/
me
/
password
Set Password
curl --request POST \
  --url https://api.example.com/api/v1/users/me/password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_password": "<string>",
  "confirm_password": "<string>"
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_password: '<string>', confirm_password: '<string>'})
};

fetch('https://api.example.com/api/v1/users/me/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/api/v1/users/me/password"

payload = {
"new_password": "<string>",
"confirm_password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "message": "<string>",
  "access_token": "<string>",
  "refresh_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
new_password
string
required
confirm_password
string
required
current_password
string | null

Response

200 - application/json

OK

message
string
required
access_token
string
required
refresh_token
string
required